<div *ngIf="fanfics.length === 0">
  <h2>Fanfic list is empty...</h2>
  <button type="button"
          (click)="navigateToCreatePage()"
          class="form-control btn btn-primary">{{ 'Profile.btnCreate'  | translate:lang  }}
  </button>
</div>
<div *ngIf="fanfics.length > 0">
  <h2>{{ 'Profile.tableTitle' | translate:lang }}</h2>
  <div class="btn-group float-right" style="margin-bottom: 5px;" role="group" aria-label="Basic example">
    <button type="button"
            (click)="navigateToCreatePage()"
            class="btn btn-primary"><i class="fa fa-plus"></i></button>
    <button [disabled]="!selectedFanfics || selectedFanfics.length !== 1"
            type="button"
            routerLink="/fanfic/update/{{selectedFanfics && selectedFanfics.length === 1 && selectedFanfics[0].id}}"
            [class.btn-info]="selectedFanfics && selectedFanfics.length === 1"
            class="btn"><i class="fa fa-pencil"></i></button>
    <button [disabled]="!selectedFanfics || selectedFanfics.length === 0"
            type="button"
            (click)="deleteFanfics()"
            [class.btn-danger]="selectedFanfics && selectedFanfics.length > 0"
            class="btn"><i class="fa fa-trash"></i></button>
  </div>
  <div class="clearfix"></div>
  <p-table #tt [columns]="cols" [value]="fanfics" [(selection)]="selectedFanfics" dataKey="id" [responsive]="true"
           [paginator]="fanfics.length > 10" [rows]="10">
    <ng-template pTemplate="caption">
      <i class="fa fa-search" style="margin:4px 4px 0 0"></i>
      <input type="text" pInputText size="20" placeholder="{{ 'Profile.searchPlaceholder' | translate:lang }}"
             (input)="tt.filterGlobal($event.target.value, 'contains')" style="width:auto">
    </ng-template>
    <ng-template pTemplate="header" let-columns>
      <tr>
        <th style="width: 2.25em">
          <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
        </th>
        <th *ngFor="let col of columns" [pSortableColumn]="col.field">
          {{col.header | translate:lang }}
          <p-sortIcon [field]="col.field"></p-sortIcon>
        </th>
        <th style="width:3em"></th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-rowData let-columns="columns">
      <tr [pSelectableRow]="rowData">
        <td>
          <p-tableCheckbox [value]="rowData"></p-tableCheckbox>
        </td>
        <td *ngFor="let col of columns">
          {{ col.field !== 'createdAt' ? rowData[col.field] : rowData[col.field] | date:"d.MM.yyyy" }}
        </td>
        <td>
          <button pButton icon="fa-search" routerLink="/fanfic/get/{{rowData.id}}"></button>
        </td>
      </tr>
    </ng-template>
  </p-table>
</div>
